#include "mainframe.h"

CMainFrame::CMainFrame(const wxString& title) : wxFrame(nullptr, wxID_ANY, title)
{
    InitFrame();
    ManLayout();
}

void CMainFrame::InitFrame()
{
    if (panela_ == nullptr) {
        panela_ = new CMainPanel(this);
    }
    if (panelb_ == nullptr) {
        panelb_ = new CMainPanel(this);
    }
}

void CMainFrame::ManLayout()
{
    auto* szTop = new wxBoxSizer(wxHORIZONTAL);
    szTop->Add(panela_, 1, wxEXPAND);
    szTop->Add(panelb_, 1, wxEXPAND);
    SetSizer(szTop);
}
